Bug 1516895 - Inconstancy between addition vs. deletion messages of Analysis Profiles and Schedules
Summary: Inconstancy between addition vs. deletion messages of Analysis Profiles and S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Parthvi Vala
URL:
Whiteboard: ui:configuration:testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 14:06 UTC by Yadnyawalk Tale
Modified: 2019-02-07 23:00 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:39 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
ytale: automate_bug-


Attachments (Terms of Use)
screenshot (1.05 MB, image/gif)
2017-11-23 14:06 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1477037 None None None Never
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:46 UTC

Internal Links: 1477037

Description Yadnyawalk Tale 2017-11-23 14:06:00 UTC
Created attachment 1358242 [details]
screenshot

Description of problem:
Inconstancy between addition vs. deletion messages of Analysis Profiles and Schedules 

Version-Release number of selected component (if applicable):
5.9.0.10.20171121225911_a2209d2 

How reproducible:
100%

Steps to Reproduce:
1. Navigate to Configuration -> Settings accordion
2. Add Analysis Profiles, put name on menu as a 'Name1' and description as a 'desc1', Save it
(Notice this message -> Analysis Profile "Name1": Added successfully)
3. Now, click on 'Name1' and remove Analysis Profile
(Different message ->  Analysis Profile "desc1": Delete successful )

Actual results:
Showing 'Name1' created but 'Desc1' deleted  

Expected results:
It should show 'Name1' deleted while deleting

Additional info:
Same with scheduled

Comment 1 Hilda Stastna 2018-04-19 12:20:34 UTC
Note that step 2 from steps to reproduce is not true. The actual message is: "Analysis Profile \"%{name}\" was saved" for Analysis Profiles and similarly also for Schedules.

Comment 2 Hilda Stastna 2018-04-19 12:48:55 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3800

Comment 3 CFME Bot 2018-05-15 16:52:00 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a099473d832c6e258a14e76c231dad01833569f9
commit a099473d832c6e258a14e76c231dad01833569f9
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Thu Apr 19 08:22:50 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Thu Apr 19 08:22:50 2018 -0400

    Fix inconstancy of flash messages for Analysis Profiles and Schedules

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1516895

    Fix inconstancy of flash messages between addition vs. deletion of Analysis
    Profiles and Schedules, under Configuration -> Settings accordion.

 app/controllers/ops_controller/settings/analysis_profiles.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Parthvi Vala 2018-07-25 07:37:07 UTC
FIXED. Verified the bug on 5.10.0.4.20180712211305_e6e4542.

Comment 6 errata-xmlrpc 2019-02-07 23:00:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.